@charset "UTF-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');



*
	{margin: 0px;
	padding:0px;
	font-family: "Roboto Mono", monospace;
  font-optical-sizing: auto;
  font-weight: normal;
		font-size:13px!important;
  text-transform: uppercase;}

h1{
	font-size: 30px!important;
	font-weight: 400;
}
	
svg {
    width: 100%;
    height: auto;
  }

  /* zone cliquable large */
  .hit {
    fill: none;
    stroke: transparent;
    stroke-width: 18px;
    cursor: pointer;
  }

  /* ligne visible */
  .line1 {
    fill: none;
    stroke: black;
    stroke-miterlimit: 10;
    transition: stroke 0.2s ease, stroke-width 0.2s ease;
    pointer-events: none;
  }

  /* hover */
  a:hover .line1 {
    stroke: black;
    stroke-width:1px;
  }
	
	  /* ligne visible */
  .line2 {
    fill: none;
    stroke: black;
    stroke-miterlimit: 10;
    transition: stroke 0.2s ease, stroke-width 0.2s ease;
    pointer-events: none;
  }

  /* hover */
  a:hover .line2 {
    stroke: black;
    stroke-width:1px;
  }
	
	  /* ligne visible */
  .line3 {
    fill: none;
    stroke: black;
    stroke-miterlimit: 10;
    transition: stroke 0.2s ease, stroke-width 0.2s ease;
    pointer-events: none;
  }

  /* hover */
  a:hover .line3 {
    stroke: black;
    stroke-width:1px;
  }
	
	  /* ligne visible */
  .line4 {
    fill: none;
    stroke: black;
    stroke-miterlimit: 10;
    transition: stroke 0.2s ease, stroke-width 0.2s ease;
    pointer-events: none;
  }

  /* hover */
  a:hover .line4 {
    stroke: black;
    stroke-width:1px;
  }
	
	.line1 {
  stroke-dasharray: 1 3;
  stroke-dashoffset: 0;
  transition: stroke-dashoffset 1s linear;
}

a:hover .line1 {
  stroke-dashoffset: 5;
}
	
		.line2 {
  stroke-dasharray: 1 ;
  stroke-dashoffset: 0;
  transition: stroke-dashoffset 1s linear;
}

a:hover .line2 {
  stroke-dashoffset: 5; 
}
	
		.line3 {
  stroke-dasharray: 1 0.4;
  stroke-dashoffset: 0;
  transition: stroke-dashoffset 1s linear;
}

a:hover .line3 {
  stroke-dashoffset: 5; 
}
	
		.line4 {
  stroke-dasharray: 0 0;
  stroke-dashoffset: 0;
  transition: stroke-dashoffset 1s linear;
}

a:hover .line4 {
  stroke-dashoffset: 0; 
}


.mapimage
	{background-image:url("SVG/cartebleue.svg"),url("SVG/Fichier 27.svg")!important}
.mapimage2 {
  position: relative;
  overflow: hidden; /* évite les débordements */
}

.mapimage2 {background-image:url("SVG/Fichier 23@300x.png");
background-size: contain;
background-repeat: repeat;}

/* le contenu au-dessus */
.mapimage2 > * {
  position: relative;
  z-index: 1;
}


.mapimage3 {background-image:url("SVG/Fichier 23@300x.png");
background-size: contain;
background-repeat: repeat;}




.mapimage4
{background-image:url("SVG/Fichier 23@300x.png");
background-size: contain;
background-repeat: repeat;}


.navbar {
  z-index: 9999;
}


@media (max-width: 991px) {
  .navbar-collapse {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: white;
    padding-top: 5rem;
    z-index: 9998;
  }

  .navbar-nav {
    text-align: center;
  }

  .nav-link {
    font-size: 1.5rem;
    padding: 1rem 0;
  }
}

.navbar-toggler {
  border-color: black;
}
.navbar-toggler {
  position: relative;
  z-index: 10000;
}
body > nav > div > button{border:0px!important;}


.legend-list {
	list-style: none;
	padding: 0;
	margin: 0;
}

.legend-list li {
	position: relative;
	padding-left: 32px;
	margin-bottom: 8px;
	cursor: default;
}

.legend-list li::before {
	content: "";
	position: absolute;
	left: 0;
	top: 50%;
	width: 22px;
	height: 2px;
	transform: translateY(-50%);
	background-repeat: repeat-x;
	background-position: 0 0;
	transition: background-position 1s linear;
}


.legend-list .line1::before {
	background-image: repeating-linear-gradient(
		to right,
		black 0 1px,
		transparent 1px 4px
	);
}


.legend-list .line2::before {
	background-image: repeating-linear-gradient(
		to right,
		black 0 1px,
		transparent 1px 3px
	);
}


.legend-list .line3::before {
	background-image: repeating-linear-gradient(
		to right,
		black 0 1px,
		transparent 1px 2px
	);
}



.legend-list .line4::before {
	background-image: none;
	background-color: black;
}
footer{border-top:0.2px solid black;}


.mapimage {
	background-image:
		url("SVG/Fichier 21.svg"),
		url("SVG/Fichier 27.svg"),
		url("300ppi/Fichier 23@300x.png");

	background-repeat: no-repeat;
	background-size: contain, contain, contain;
	background-position: center;
}

a{color:blue!important;}



.graph-container {
  width: 100%;
  max-width: 600px;
  height: 300px;
  border: .2px solid #000;
  padding: 20px;
}

.bars {
  width: 100%;
}

.bar {
  width: 1px;
  background-color: #000;
}

/* hauteurs */
.h-small {
  height: 20%;
}

.h-medium {
  height: 55%;
}

.h-large {
  height: 97%;
}

/* ligne de moyenne */
.average-line1 {
  position: absolute;
  left: 0;
  right: 0;
  top: 25%;
  border-top: 1px dashed #000;
  transform: translateY(-50%);
}

.average-line {
  position: absolute;
  left: 0;
  right: 0;
  top: 50%;
  border-top: 1px dashed #000;
  transform: translateY(-50%);
}

.average-line2 {
  position: absolute;
  left: 0;
  right: 0;
  top: 75%;
  border-top: 1px dashed #000;
  transform: translateY(-50%);
}



#bravo-overlay {
  position: fixed;
  inset: 0;
  background: rgba(255,255,255,0.80);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease;
  z-index: 9999;
}

#bravo-overlay.active {
  opacity: 1;
}

#gameover-overlay {
  position: fixed;
  inset: 0;
  background: rgba(255,255,255,0.80);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease;
  z-index: 9999;
}

#gameover-overlay.active {
  opacity: 1;
}

#distance-result, #duration-result{
	font-size:30px!important;
	color:blue;
}

.skip, button{
	color:blue;
	border:none;
	font-size: 30px!important;
background:none;}

input{color:black;font-size: 30px!important;
	background:none;
border:1px black solid;}

#duration-feedback, #distance-feedback{
	color:blue;
}

button.btn-vraifaux{
	color:black;
	text-transform: uppercase;
	border:none;
	font-size: 13px!important;
background:none;}

html, body {
  max-width: 100%;
  overflow-x: hidden;
}


button.idwtplay
{color:blue;
margin-top:40px;
font-size:13px!important;}



.message
{color:blue!important;
font-size:30px;}


.phrase{color:blue!important;}

.active{color:black!important;}

#letterInput
{font-size:13px!important;
margin:10px 0px 10px 0px;}




